Skip to main content
GET
/
v1
/
analytics
/
performance
/
engine
/
slow-operations
Get Slowest Operations
curl --request GET \
  --url https://api.mixpeek.com/v1/analytics/performance/engine/slow-operations \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.mixpeek.com/v1/analytics/performance/engine/slow-operations"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.mixpeek.com/v1/analytics/performance/engine/slow-operations', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "time_range": {
    "start": "2023-11-07T05:31:56Z",
    "end": "2023-11-07T05:31:56Z"
  },
  "operations": [
    {
      "timestamp": "2023-11-07T05:31:56Z",
      "stage_name": "<string>",
      "component": "<string>",
      "latency_ms": 123,
      "metadata": {}
    }
  ],
  "threshold_ms": 123
}
{
  "status": 123,
  "error": {
    "message": "<string>",
    "type": "<string>",
    "code": "<string>",
    "details": {}
  },
  "success": false
}
{
  "status": 123,
  "error": {
    "message": "<string>",
    "type": "<string>",
    "code": "<string>",
    "details": {}
  },
  "success": false
}
{
  "status": 123,
  "error": {
    "message": "<string>",
    "type": "<string>",
    "code": "<string>",
    "details": {}
  },
  "success": false
}
{
  "status": 123,
  "error": {
    "message": "<string>",
    "type": "<string>",
    "code": "<string>",
    "details": {}
  },
  "success": false
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}
{
  "status": 123,
  "error": {
    "message": "<string>",
    "type": "<string>",
    "code": "<string>",
    "details": {}
  },
  "success": false
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

hours
integer
default:24

Hours of history

Required range: 1 <= x <= 168
limit
integer
default:10

Number of operations to return

Required range: 1 <= x <= 1000
threshold_ms
number
default:1000

Only show operations slower than this (ms)

Required range: x >= 0

Response

Successful Response

Response for slowest operations query.

time_range
TimeRange · object
required

Time range of the query

operations
SlowOperation · object[]
required

List of slowest operations

threshold_ms
number
required

Latency threshold used for filtering